  'reinit'
  'open qm_8298.ctl'

* 
 'set time jan82 dec98'
 'run qtcmpar'
 'run u'
 'run flux'

ca(prec,jan82,dec98)
ca(evap,jan82,dec98)
ca(Ts,jan82,dec98)
ca(OLR,jan82,dec98)
ca(Fs,jan82,dec98)
ca(u85,jan82,dec98)
ca(v85,jan82,dec98)
ca(u3,jan82,dec98)
ca(v3,jan82,dec98)
  
* don't display the boundary
 'set lat -45 45'
 'set font 1'

* four-season precipitation (4 panels in one Figure) 
 'enable print meta'
 'set vpage 0 8.5 7.5 11'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time jan'
 'set rgb 20 0 50 0'
 'set rgb 30 0 30 0'
 'set rgb 50 0 120 0'
* 'set rbcols 0 0 0 0 20 20 20 20 50 50 50 50 50'
 'set clevs 0 2 4 8 12 16 20'
 'set ccols 0 0 0 20 50 50 50 50'
* 'set rbcols auto' 
 'set cmin 0'
 'set cmax 20'
 'set gxout shaded'
 'd precc/rain2flux'
 'set gxout contour'
 'set cint 2'
 'd precc/rain2flux'
 'set strsiz 0.125 0.125'
 'set string 1 bl 10' 
 'draw string 0.9 2.9 (a) January' 

 'set vpage 0 8.5 5 8.5'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time apr'
 'set clevs 0 2 4 8 12 16 20'
 'set ccols 0 0 0 20 50 50 50 50'
 'set gxout shaded'
 'd precc/rain2flux'
 'set gxout contour'
 'set cint 2'
 'd precc/rain2flux'
 'set strsiz 0.125 0.125'
 'set string 1 bl 10' 
 'draw string 0.9 2.9 (b) April'

 'set vpage 0 8.5 2.5 6'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time jul'
 'set clevs 0 2 4 8 12 16 20'
 'set ccols 0 0 0 20 50 50 50 50'
 'set gxout shaded'
 'd precc/rain2flux'
 'set gxout contour'
 'set cint 2'
 'd precc/rain2flux'
 'set strsiz 0.125 0.125'
 'set string 1 bl 10' 
 'draw string 0.9 2.9 (c) July'

 'set vpage 0 8.5 0. 3.5'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time oct'
 'set clevs 0 2 4 8 12 16 20'
 'set ccols 0 0 0 20 50 50 50 50'
 'set gxout shaded'
 'd precc/rain2flux'
 'set gxout contour'
 'set cint 2'
 'd precc/rain2flux'
 'set strsiz  0.125 0.125'
 'set string 1 bl 10' 
 'draw string 0.9 2.9 (d) October'
 'print'
 
 'disable print'
 '!gxeps -d -i meta -o  4season.eps'

* plot fluxes
 'enable print meta'
 'c'
 'set vpage 0 8.5 7.5 11'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time jan'
 'set gxout shaded'
 'set clevs 100 120 '
 'set ccols 0 20 20 '
 'd evapc'
 'set gxout contour'
 'set cint 20'
 'd evapc'
 'set strsiz  0.125 0.125'
 'draw title (a) Evap Jan'

 'set vpage 0 8.5 4.75 8.25'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time jan'
 'set gxout shaded'
 'set clskip 1'
 'set clevs 240 260 '
 'set ccols 20 0 0'
 'd olrc'
 'set gxout contour'
 'set cint 20'
 'd olrc'
 'set strsiz  0.1 0.1'
 'draw title (b) Olr'

 'set vpage 0 8.5 2.0 5.5'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time jan'
 'set gxout shaded'
 'set clskip 1'
 'set clevs -100 0 100 '
 'set ccols 20 0 0 50 '
 'd Fsc'
 'set gxout contour'
 'set cint 50'
 'd Fsc'
 'set strsiz  0.1 0.1'
 'draw title (c) Fs'
 'print'

 'disable print'
 '!gxeps -d -i meta -o  flux_jan.eps'

* plot fluxes
 'enable print meta'
 'c'
 'set vpage 0 8.5 7.5 11'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time jul'
 'set gxout shaded'
 'set clevs 100 120 '
 'set ccols 0 20 20 '
 'd evapc'
 'set gxout contour'
 'set cint 20'
 'd evapc'
 'set strsiz  0.125 0.125'
 'draw title (a) Evap July'

 'set vpage 0 8.5 4.75 8.25'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time jul'
 'set gxout shaded'
 'set clskip 1'
 'set clevs 240 260 '
 'set ccols 20 0 0'
 'd olrc'
 'set gxout contour'
 'set cint 20'
 'd olrc'
 'set strsiz  0.1 0.1'
 'draw title (b) Olr'


 'set vpage 0 8.5 2.0 5.5'
 'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set time jul'
 'set gxout shaded'
 'set clskip 1'
 'set clevs -100 0 100 '
 'set ccols 20 0 0 50 '
 'd Fsc'
 'set gxout contour'
 'set cint 50'
 'd Fsc'
 'set strsiz  0.1 0.1'
 'draw title (c) Fs'
 'print'

 'disable print'
 '!gxeps -d -i meta -o  flux_jul.eps'


* plot winds at 850 mb and 300 mb in January 
 'c'
 'enable print meta'
 'set vpage 0 8.5 7 11'
  'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
  'set time jan'
  'd skip(u85c,2); v85c' 
  'draw title (a) 850 mb Jan'
  'print'
 
 'set vpage 0 8.5 3.75 7.75'
  'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
  'set time jan'
  'd skip(u3c,2); v3c'
  'draw title (b) 300 mb'
  'print'

  'disable print'
 '!gxeps -i meta -o  wind_jan.eps'

* plot winds at 850 mb and 300 mb in July
 'c'
 'enable print meta'
 'set vpage 0 8.5 7 11'
  'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
  'set time jul'
  'd skip(u85c,2); v85c'
  'draw title (a) 850 mb July '
  'print'

 'set vpage 0 8.5 3.75 7.75'
  'set grads off'
 'set grid off'
 'set map 1 1 8'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
  'set time jul'
  'd skip(u3c,2); v3c'
  'draw title (b) 300 mb'
  'print'

  'disable print'
 '!gxeps -i meta -o  wind_july.eps'

* 
function ca(var,t1,t2)
 'set time 't1' 't2
* climatology 
 'define 'var'c=ave('var',t+0,time='t2',1yr)'
 'modify 'var'c seasonal'
*anom
 'define 'var'a='var'-'var'c'
 
 prompt 'mean, anom, are defined for  ' var
 
return

