**Function to define the ensemble averages from an ensemble output in which
**members of ensemble are written consecutively    
function emave(var,tb,tn,tm)
* var: variable name
* tb: beginning time 
* tn: ending time 
* tm: total time intervals in one member run 
* Example: emave(prec,1,120,12) gives the averaged precipitation 'precm'
*          from an ensemble of 10 runs. Each run has 12 months.  

 'set t 'tb' 'tm''
 'define 'var'm=ave('var',t+0,t='tn','tm')'

 say 'ensemble average is defined for  ' var

return

